*{
    margin: 0;
    padding: 0;
}
*, *::before, *::after{
    box-sizing: border-box;
}
body{
    color: #69707b;
    font-family: 'Lato', sans-serif;
}


.button{
    font-size: 16px;
    text-transform: capitalize;
    text-decoration: none;
    display: inline-block;
    position: relative;
    padding: 0 32px;
    cursor: pointer;
    color: #283a5e;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;

}
.button:active{
    color: #FF6D00;
}
.button:hover{
    color: #FF6D00;
}
.btn_svg{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* width: fit-content; */
    width: 100%;
    width: -moz-available;          
    width: -webkit-fill-available;
    width: fill-available
    height: auto;   
    /* width: calc(100% - 4px); */
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}
.button:hover .rect_svg{
    stroke-dasharray: 50%, 255%;
    stroke-dashoffset: 140%;
    stroke: #FF6D00;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}
.rect_svg{
    stroke: #283a5e;
    stroke-width: 3;
    stroke-dasharray: 100%,0;
    stroke-dashoffset: 0;
    -webkit-transition: all .2s linear;
    -moz-transition: all .2s linear;
    -ms-transition: all .2s linear;
    -o-transition: all .2s linear;
    transition: all .2s linear;
}


